Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag
Class DragCancelEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<DragCancelHandler,TouchEvent<? extends EventHandler>>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.DragCancelEvent

    public class DragCancelEvent

extends SyntheticTouchGestureEvent<DragCancelHandler,TouchEvent<? extends EventHandler>>

Represents a drag cancel event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`DragCancelEvent(TouchEvent<? extends EventHandler> evt)` Creates a new `DragCancelEvent` from the specified source `TouchEvent`.

Method Summary
`protected void` | `dispatch(DragCancelHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<DragCancelHandler>` | `getAssociatedType()` Returns the event type associated with drag cancel events.
`static GwtEvent.Type<DragCancelHandler>` | `getType()` Returns the event type associated with drag cancel events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragCancelEvent

    public DragCancelEvent(TouchEvent<? extends EventHandler> evt)

  Creates a new `DragCancelEvent` from the specified source `TouchEvent`.

  Parameters:
    `evt` - The touch event that triggered this event.

Method Detail

### getType

    public static GwtEvent.Type<DragCancelHandler> getType()

  Returns the event type associated with drag cancel events.

### getAssociatedType

    public GwtEvent.Type<DragCancelHandler> getAssociatedType()

  Returns the event type associated with drag cancel events.

  Specified by:
    `getAssociatedType` in class `GwtEvent<DragCancelHandler>`

### dispatch

    protected void dispatch(DragCancelHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<DragCancelHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD